/api/v1/products/bulk
POST
/api/v1/products/bulk
const url = 'https://example.com/api/v1/products/bulk';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"products":[{"sku":"example","name":"example","description":"example","category":"example","trackLots":true,"trackSerials":true,"trackExpiry":true,"shelfLifeDays":1,"rotationStrategy":"Fifo","velocityClass":"A","weightUnit":"Kg","lengthUnit":"Cm","unitsOfMeasure":[{"code":"example","name":"example","quantityOfLevelBelow":1,"weight":1,"length":1,"width":1,"height":1,"barcodes":[{"value":"example","type":"Gtin"}]}]}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/products/bulk \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "products": [ { "sku": "example", "name": "example", "description": "example", "category": "example", "trackLots": true, "trackSerials": true, "trackExpiry": true, "shelfLifeDays": 1, "rotationStrategy": "Fifo", "velocityClass": "A", "weightUnit": "Kg", "lengthUnit": "Cm", "unitsOfMeasure": [ { "code": "example", "name": "example", "quantityOfLevelBelow": 1, "weight": 1, "length": 1, "width": 1, "height": 1, "barcodes": [ { "value": "example", "type": "Gtin" } ] } ] } ] }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
products
Array<object>
object
sku
string
name
string
description
string
category
string
trackLots
boolean
trackSerials
boolean
trackExpiry
boolean
shelfLifeDays
integer format: int32
rotationStrategy
string
velocityClass
string
weightUnit
string
lengthUnit
string
unitsOfMeasure
Array<object>
object
code
string
name
string
quantityOfLevelBelow
integer format: int32
weight
number format: double
length
number format: double
width
number format: double
height
number format: double
barcodes
Array<object>
object
value
string
type
string
object
products
Array<object>
object
sku
string
name
string
description
string
category
string
trackLots
boolean
trackSerials
boolean
trackExpiry
boolean
shelfLifeDays
integer format: int32
rotationStrategy
string
velocityClass
string
weightUnit
string
lengthUnit
string
unitsOfMeasure
Array<object>
object
code
string
name
string
quantityOfLevelBelow
integer format: int32
weight
number format: double
length
number format: double
width
number format: double
height
number format: double
barcodes
Array<object>
object
value
string
type
string
object
products
Array<object>
object
sku
string
name
string
description
string
category
string
trackLots
boolean
trackSerials
boolean
trackExpiry
boolean
shelfLifeDays
integer format: int32
rotationStrategy
string
velocityClass
string
weightUnit
string
lengthUnit
string
unitsOfMeasure
Array<object>
object
code
string
name
string
quantityOfLevelBelow
integer format: int32
weight
number format: double
length
number format: double
width
number format: double
height
number format: double
barcodes
Array<object>
object
value
string
type
string
Responses
Section titled “Responses”OK
object
created
required
integer format: int32
updated
required
integer format: int32
unchanged
required
integer format: int32
items
required
Array<object>
object
sku
required
string
id
required
string format: uuid
result
required
string
object
created
required
integer format: int32
updated
required
integer format: int32
unchanged
required
integer format: int32
items
required
Array<object>
object
sku
required
string
id
required
string format: uuid
result
required
string
Example
{ "items": [ { "result": "created" } ]}object
created
required
integer format: int32
updated
required
integer format: int32
unchanged
required
integer format: int32
items
required
Array<object>
object
sku
required
string
id
required
string format: uuid
result
required
string
Example
{ "items": [ { "result": "created" } ]}Bad Request
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
string
title
string
status
integer format: int32
detail
string
instance
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Conflict
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
string
title
string
status
integer format: int32
detail
string
instance
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}